Delete an mDocs configuration
Roles
Analytics Events
/v2/credentials/mobile/configurations/{id}Deletes an existing mDocs configuration by providing its ID.
Analytic events
- MOBILE_CREDENTIAL_CONFIGURATION_DELETE_START
- MOBILE_CREDENTIAL_CONFIGURATION_DELETE_SUCCESS
- MOBILE_CREDENTIAL_CONFIGURATION_DELETE_FAIL
Authorization
bearerAuth In: header
Path Parameters
mDocs configuration ID
uuidResponse Body
application/json
application/json
curl -X DELETE "https://example.vii.au01.mattr.global/v2/credentials/mobile/configurations/3948c40e-6e19-4ffc-933c-91f643f24264"{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Update an mDocs configuration PUT
Updates an existing mDocs configuration by providing its ID. ### **Analytic events** * MOBILE_CREDENTIAL_CONFIGURATION_UPDATE_START * MOBILE_CREDENTIAL_CONFIGURATION_UPDATE_SUCCESS * MOBILE_CREDENTIAL_CONFIGURATION_UPDATE_FAIL
Create an Authorization Code credential offer POST
Returns an OpenID4VCI credential offer URI. See [https://openid.net/specs/openid-4-verifiable-credential-issuance-1_0.html#section-10.1](https://openid.net/specs/openid-4-verifiable-credential-issuance-1_0.html#section-10.1) This offer can be used more than once, and can be shared with multiple users. Each user will authenticate independently during the credential issuance workflow, allowing the same offer URI to issue credentials with different user-specific data to multiple holders. ### **Analytic events** * OPENID_OFFER_CREATE_START * OPENID_OFFER_CREATE_SUCCESS * OPENID_OFFER_CREATE_FAIL